  Developers of software, is clear that in a modular, object-oriented
approach to the design and implementation of their work can be much
more productive than the previous popular programming techniques. Object-
oriented programs are much easier to understand, currect and modify.
  C++ extension of C. In C++, there are many items that are embellished
the C language, but more importantly, it provides the possibility  of
object-oriented programming. That is why C++ have attached a lot of
attention to himself.
